=== debian/changelog ===
asn1tools (0.164.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:28:41 +0200

asn1tools (0.164.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Oct 2022 15:18:44 +0200
