=== examples/benchmarks/c_source/Makefile ===
all:
	$(MAKE) -C asn1tools
	$(MAKE) -C asn1scc
	$(MAKE) -C asn1c
