=== debian/changelog ===
asn1tools (0.166.0-0kali3) kali-dev; urgency=medium

  * Add pybuild.testfiles

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 05 Sep 2024 18:12:33 +0700

asn1tools (0.166.0-0kali2) kali-dev; urgency=medium

  * Add upstream patch to deal with newer pyparsing

 -- Steev Klimaszewski <steev@kali.org>  Sat, 13 Jul 2024 12:00:29 -0500

asn1tools (0.166.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Add python3-pyparsing dependency.
  * New upstream version 0.166.0

 -- Steev Klimaszewski <steev@kali.org>  Wed, 06 Dec 2023 15:06:07 -0600
