=== debian/control ===
--- 
+++ 
@@ -1,27 +1,31 @@
 Source: asn1tools
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders:
+ Sophie Brun <sophie@offensive-security.com>,
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- python3-setuptools,
  python3-all,
  python3-bitstruct,
  python3-diskcache,
  python3-prompt-toolkit,
- python3-sphinx
+ python3-pyparsing,
+ python3-setuptools,
+ python3-sphinx,
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/eerimoq/asn1tools
+Vcs-Browser: https://gitlab.com/kalilinux/packages/asn1tools
+Vcs-Git: https://gitlab.com/kalilinux/packages/asn1tools.git
 
 Package: python3-asn1tools
 Architecture: all
 Depends:
+ ${misc:Depends},
  ${python3:Depends},
- ${misc:Depends},
 Suggests:
  python-asn1tools-doc,
 Description: ASN.1 parsing, encoding and decoding (Python 3)
@@ -42,8 +46,8 @@
 Section: doc
 Architecture: all
 Depends:
+ ${misc:Depends},
  ${sphinxdoc:Depends},
- ${misc:Depends},
 Description: ASN.1 parsing, encoding and decoding (common documentation)
  This package contains a Python package for ASN.1 parsing, encoding and
  decoding. Supported codecs:
