=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%asn1tools-$1.tar.gz%" \
   https://github.com/eerimoq/asn1tools/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
